org.apache.coyote.http11.upgrade

## Interface UpgradeInbound

- All Known Implementing Classes:
    MessageInbound, StreamInbound

  Deprecated.
  Will be removed in Tomcat 8.0.x.

      @Deprecated
      public interface UpgradeInbound

  Receives notification that there is data to be read on the upgraded connection and processes it.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReadTimeout()` Deprecated. Allow the upgraded protocol to define the read timeout to be used with the upgraded connection.
    `AbstractEndpoint.Handler.SocketState` | `onData()` Deprecated.
    `void` | `onUpgradeComplete()` Deprecated.
    `void` | `setUpgradeOutbound(UpgradeOutbound upgradeOutbound)` Deprecated.
    `void` | `setUpgradeProcessor(UpgradeProcessor<?> processor)` Deprecated.

- - ### Method Detail

    - #### setUpgradeProcessor

          void setUpgradeProcessor(UpgradeProcessor<?> processor)

      Deprecated.

    - #### onUpgradeComplete

          void onUpgradeComplete()

      Deprecated.

    - #### onData

          AbstractEndpoint.Handler.SocketState onData()
                                                      throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### setUpgradeOutbound

          void setUpgradeOutbound(UpgradeOutbound upgradeOutbound)

      Deprecated.

    - #### getReadTimeout

          int getReadTimeout()

      Deprecated.
      Allow the upgraded protocol to define the read timeout to be used with the upgraded connection.
      Returns:
        The read timeout in milliseconds or -1 for infinite

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.